<refentry id="initializer.element" revision='4.0'>
<?dbhtml filename="initializer.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>initializer</secondary></indexterm>
<refentrytitle>initializer</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>initializer</refname>
<refpurpose>&initializer.purpose;</refpurpose>
</refnamediv>

&initializer.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
An <sgmltag>Initializer</sgmltag> identifies the initial or default
value for a field (<sgmltag>FieldSynopsis</sgmltag>) or
method parameter (<sgmltag>MethodParam</sgmltag>).
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline; May be suppressed in some contexts.
</para>
</refsect2>


&initializer.parents.gen;
&initializer.children.gen;
</refsect1>
</refentry>

